<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <title>{{config('app.name')}}</title>

        <link rel="preconnect" href="https://fonts.bunny.net">
        <link href="https://fonts.bunny.net/css?family=figtree:400,600&display=swap" rel="stylesheet" />
        <link href="https://cdn.jsdelivr.net/npm/daisyui@4.12.10/dist/full.min.css" rel="stylesheet" type="text/css" />
        <meta name="csrf-token" content="{{ csrf_token() }}">

        @vite(['resources/css/app.css','resources/js/app.js'])
    </head>
    <body class="antialiased font-serif">
        <div id="alert-success"></div>
        <div class="parent absolute h-screen w-full">
            <audio src="{{asset('assets/paper-ripping.mp3')}}"></audio>
            @include('components.front-cover')
        </div>
        <div class="section bg-babyblue min-h-screen flex justify-center items-center">
            @include('components.main-event')
        </div>
        <div class="section bg-babyblue min-h-screen flex justify-center">
            @include('components.event-info')
        </div>
        <div class="section bg-babyblue flex justify-center">
            @include('components.countdown')
        </div>
        <div class="section bg-babyblue flex justify-center pb-5">
            @include('components.guestbook')
        </div>
        <div class="section bg-babyblue flex justify-center pt-5 pb-20">
            @include('components.prayer')
        </div>
        @include('components.navbar')

        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>

        @stack('script')
    </body>
</html>
